PORT-SETREQUESTED(1)

NAME
port-setrequested, port-unsetrequested, port-setunrequested - Set and clear the 'manually installed' flag of a port

SYNOPSIS

port [-qvd] [-D portdir] setrequested
     [[portname | pseudo-portname | port-expressions | port-url]]

port [-qvd] [-D portdir] [unsetrequested | setunrequested]
     [[portname | pseudo-portname | port-expressions | port-url]]

DESCRIPTION

MacPorts keeps records indicating whether you installed a port manually, or whether it was pulled in as a dependency of another port. This flag is called requested and is usually automatically set for all ports you list after port install when installing. You can disable this automatic behavior by passing the --unrequested flag to port install. See port-install(1) for more information.

port setrequested and port unsetrequested allow you to manipulate the requested flag of a port manually. port setunrequested is an alias of port unsetrequested.

The requested flag is used to expand the leaves pseudo-portname, i.e. the list of ports that were automatically installed and are no longer needed. See port(1) for more information on pseudo-portnames.

GLOBAL OPTIONS

Please see the section GLOBAL OPTIONS in the port(1) man page for a description of global port options.

SEE ALSO

port(1), port-install(1)

AUTHORS

    (C) 2015 The MacPorts Project
    Clemens Lang <cal@macports.org>